{T}emp{T}ab{QA}: Temporal Question Answering for Semi-Structured Tables

{T}emp{T}ab{QA}, comprises of 11,454 question-answer pairs extracted from 1,208 Wikipedia Infobox tables spanning over 90 distinct domains.

If you use our dataset, please cite our EMNLP 2023 paper, {T}emp{T}ab{QA}: Temporal Question Answering for Semi-Structured Tables:

```
@inproceedings{gupta-etal-2023-temptabqa,
    title = "{T}emp{T}ab{QA}: Temporal Question Answering for Semi-Structured Tables",
    author = "Gupta, Vivek  and
      Kandoi, Pranshu and
      Vora, Mahek Bhavesh and
      Zhang, Shuo and
      He, Yujie and
      Reinanda, Ridho and
      Srikumar, Vivek",
    booktitle = "The 2023 Conference on Empirical Methods in Natural Language Processing (EMNLP 2023)",
    month = dec,
    year = "2023",
    address = "Singapore",
    publisher = "Association for Computational Linguistics",
    abstract = "Semi-structured data, such as Infobox tables, often include temporal information about entities, either implicitly or explicitly. Can current NLP systems reason about such information in semi-structured tables? To tackle this question, we introduce the task of temporal question answering on semi-structured tables. We present a dataset, TempTabQA, which comprises 11,454 question-answer pairs extracted from 1,208 Wikipedia Infobox tables spanning over 90 distinct domains. Using this dataset, we evaluate several state-of-the-art models for temporal reasoning. We observe that even the top-performing LLMs lag behind human performance by over 13.5 F1 points. Given these results, our dataset has the potential to serve as a challenging benchmark to improve the temporal reasoning capabilities of NLP models.",
} 
```

After downloading, you have multiple sub-folders with several csv/html/json files. Each csv file in the sub-folders has 1st rows as a header:

```
maindata                            
   ├── qapairs 
   |   |      
   |   ├── train-set
   |   |   ├── train-set.csv
   |   |   └── train-set.json
   |   |     
   |   ├── dev-set
   |   |   ├── dev-set.csv
   |   |   └── dev-set.json
   |   |     
   |   ├── head-set
   |   |   ├── head-set.csv
   |   |   └── head-set.json
   |   |                    
   |   └── tail-set
   |       ├── tail-set.csv
   |       └── tail-set.json
   |                        
   └── tables
       |
       ├── category.csv 
       |
       ├── html                             
       │   ├── 0.html
       │   ├── 9.html
       │   ├── 99.html
       │   ├── 999.html
       │   ├── ...  
       │   ├── ... 
       │   ├── ...      
       │   └── 1206.html
       │
       └── json
           ├── 0.json
           ├── 9.json
           ├── 99.json
           ├── 999.json
           ├── ...
           ├── ...
           ├── ...
           └── 1206.json

```

Carefully read the ```LICENCE``` and the ```DATASHEET``` for non-academic usage.

Note "" Due to the large size of tree structure for the data it is partially listed to give reader an idea of folder organization. ```

Note : Wherever require consider year End of year 2022 as the build date for the dataset.

